%define upstream_name    Code-TidyAll-Plugin-Flake8
%define upstream_version 0.4.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Run flake8 using Code::TidyAll
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Code/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Code::TidyAll::Plugin)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moo)
BuildRequires: perl(String::ShellQuote)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This speeds up the flake8 python tool ( the
http://flake8.pycqa.org/en/latest/ manpage ) checking by caching results
using the Code::TidyAll manpage .

It was originally written for use by PySolFC ( the
http://pysolfc.sourceforge.net/ manpage ), an open suite of card solitaire
games.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.4.0-2.mga9
+ Revision: 1820439
- Mageia 9 Mass Rebuild

* Sat Nov 14 2020 tv <tv> 0.4.0-1.mga8
+ Revision: 1645857
- update to 0.4.0

* Fri Oct 23 2020 tv <tv> 0.2.1-1.mga8
+ Revision: 1638698
- update to 0.2.1

* Fri Feb 14 2020 umeabot <umeabot> 0.2.0-2.mga8
+ Revision: 1523093
- Mageia 8 Mass Rebuild

* Tue Feb 19 2019 tv <tv> 0.2.0-1.mga7
+ Revision: 1368546
- update to 0.2.0

* Thu Sep 20 2018 umeabot <umeabot> 0.0.1-2.mga7
+ Revision: 1282283
- Mageia 7 Mass Rebuild

* Thu May 10 2018 shlomif <shlomif> 0.0.1-1.mga7
+ Revision: 1228108
- Importing cpan2pkg


* Thu May 10 2018 cpan2dist 0.0.1-1mga
- initial mageia release, generated with cpan2dist
